This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 535753 - (RHQ-2416) SunX509 issues appear when using stock configs with IBM Java6
SunX509 issues appear when using stock configs with IBM Java6
Status: CLOSED DUPLICATE of bug 535831
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
1.3
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Corey Welton
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On: RHQ-2487
Blocks: rhq_triage
  Show dependency treegraph
 
Reported: 2009-09-09 13:23 EDT by Corey Welton
Modified: 2010-10-06 23:45 EDT (History)
0 users

See Also:
Fixed In Version: 1.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-06 23:45:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2009-09-09 13:23:00 EDT
See RHQ-2065 for the whole sordid mess, but basically we need to see if there's a way to point to the correct security protocol info for IBM JRE.

Repro steps
1. Install IBM Java 6 as default jre/and or point server to it.
2. Unpack archive and run rhq-server.sh
3. Observe the server log file.

Current results:
Something similar to

2009-09-09 05:58:06,848 INFO  [org.apache.coyote.http11.Http11Protocol] Initializing Coyote HTTP/1.1 on http-0.0.0.0-7080

2009-09-09 05:58:06,932 ERROR [org.apache.coyote.http11.Http11Protocol] Error initializing endpoint

java.io.IOException: SunX509 KeyManagerFactory not available

        at org.apache.tomcat.util.net.jsse.JSSESocketFactory.init(JSSESocketFactory.java:394)

        at org.apache.tomcat.util.net.jsse.JSSESocketFactory.createSocket(JSSESocketFactory.java:135)

        at org.apache.tomcat.util.net.JIoEndpoint.init(JIoEndpoint.java:497)

        at org.apache.coyote.http11.Http11Protocol.init(Http11Protocol.java:176)

        at org.apache.catalina.connector.Connector.initialize(Connector.java:1073)

        at org.apache.catalina.core.StandardService.initialize(StandardService.java:668)

        at org.apache.catalina.core.StandardServer.initialize(StandardServer.java:791)

        at org.apache.catalina.startup.Catalina.load(Catalina.java:528)

        at org.apache.catalina.startup.Catalina.start(Catalina.java:568)

        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)

        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:37)

        at java.lang.reflect.Method.invoke(Method.java:599)

        at org.apache.tomcat.util.modeler.BaseModelMBean.invoke(BaseModelMBean.java:296)

        at org.jboss.mx.server.RawDynamicInvoker.invoke(RawDynamicInvoker.java:164)

        at org.jboss.mx.server.MBeanServerImpl.invoke(MBeanServerImpl.java:659)

        at org.jboss.web.tomcat.service.JBossWeb.startService(JBossWeb.java:457)

        at org.jboss.system.ServiceMBeanSupport.jbossInternalStart(ServiceMBeanSupport.java:289)

        at org.jboss.system.ServiceMBeanSupport.jbossInternalLifecycle(ServiceMBeanSupport.java:245)

        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)

        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:37)

        at java.lang.reflect.Method.invoke(Method.java:599)

        at org.jboss.mx.interceptor.ReflectedDispatcher.invoke(ReflectedDispatcher.java:155)

        at org.jboss.mx.server.Invocation.dispatch(Invocation.java:94)

        at org.jboss.mx.interceptor.AbstractInterceptor.invoke(AbstractInterceptor.java:133)

        at org.jboss.mx.server.Invocation.invoke(Invocation.java:88)

        at org.jboss.mx.interceptor.ModelMBeanOperationInterceptor.invoke(ModelMBeanOperationInterceptor.java:142)

        at org.jboss.mx.interceptor.DynamicInterceptor.invoke(DynamicInterceptor.java:97)

        at org.jboss.mx.server.Invocation.invoke(Invocation.java:88)

        at org.jboss.mx.server.AbstractMBeanInvoker.invoke(AbstractMBeanInvoker.java:264)

        at org.jboss.mx.server.MBeanServerImpl.invoke(MBeanServerImpl.java:659)




Expected results:
* None of these errors, perhaps by pointing to the IBM x509 stuff from the beginning.
Comment 1 Red Hat Bugzilla 2009-11-10 16:04:02 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2416
This bug is related to RHQ-2065
Comment 2 wes hayutin 2010-02-16 11:58:52 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 3 wes hayutin 2010-02-16 12:03:37 EST
making sure we're not missing any bugs in rhq_triage
Comment 4 Corey Welton 2010-10-06 23:45:24 EDT

*** This bug has been marked as a duplicate of bug 535831 ***

Note You need to log in before you can comment on or make changes to this bug.